import 'package:list_notifier/src/list_listenable.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';

class ListController<T> with ChangeNotifier implements ListListenable<T> {
  ListController(this._list);

  List<T> _list;

  set list(List<T> newValue) {
    if (_list == newValue) return;
    _list = newValue;
    notifyListeners();
  }

  @override
  List<T> get list => _list;

  void add(T newT){
    _list.add(newT);
    notifyListeners();
  }

  void remove(T toremoveT){
    _list.remove(toremoveT);
    notifyListeners();
  }

  void addAll(List<T> addingList){
    _list.addAll(addingList);
    notifyListeners();
  }


}
